GET StoreAgents

Overview

Retrieve List of Store Agents

Request

GET /StoreAgents

Request Information

Response Information

Response Properties

Name
Type
Description
storeAgents
List<StoreAgent>
List of Store Agents

Storeagents

Name
Type
Description
agentId
Integer
Id of the Agent
agentName
String
Name of the Agent
phone
String
Phone No of the Agent
email1
String
Email 1 of the Agent
email2
String
Email 2 of the Agent
addressLine1
String
Address Line 1 of agent
addressLine2
String
Address Line 2 of agent
city
String
City of agent
state
String
State of agent
postcode
String
Postcode of agent
countryId
Integer
Country id of agent
mailingAddressLine1
String
Mailing address Line 1 of agent
mailingAddressLine2
String
Mailing address Line 2 of agent
mailingCity
String
Mailing city of agent
mailingState
String
Mailing state of agent
mailingPostcode
String
Mailing post code of agent
mailingCountryId
Integer
Mailing country id of agent
officeAddressAndMailingAddressAreIdentical
Boolean
Indicates whether the office address and mailing address are the same

Response Codes

HTTP status code
Description
200 OK
The resource was retrieved successfully
400 Bad Request
The resource was malformed
401 Unauthorized
Missing or invalid API key
404 Not Found
The specified resource was not found
500 Internal Server Error
An unexpected error occurred on the API server

Response Example

{
  "storeAgents": [
    {
      "agentId": "18359",
      "agentName": "Test Agent",
      "phone": "Test Agent",
      "email1": "test@example.com",
      "email2": "test@example.com",
      "addressLine1": "2 Dreamworks Street",
      "addressLine2": "Dreamworks",
      "city": "Sherwood",
      "state": "Vic",
      "postcode": "3999",
      "countryId": "12",
      "mailingAddressLine1": "2 Dreamworks Street",
      "mailingAddressLine2": "Dreamworks",
      "mailingCity": "Sherwood",
      "mailingState": "Vic",
      "mailingPostcode": "3999",
      "mailingCountryId": "12",
      "officeAddressAndMailingAddressAreIdentical": "true"
    },
    {
      "agentId": "18359",
      "agentName": "Test Agent",
      "phone": "Test Agent",
      "email1": "test@example.com",
      "email2": "test@example.com",
      "addressLine1": "2 Dreamworks Street",
      "addressLine2": "Dreamworks",
      "city": "Sherwood",
      "state": "Vic",
      "postcode": "3999",
      "countryId": "12",
      "mailingAddressLine1": "2 Dreamworks Street",
      "mailingAddressLine2": "Dreamworks",
      "mailingCity": "Sherwood",
      "mailingState": "Vic",
      "mailingPostcode": "3999",
      "mailingCountryId": "12",
      "officeAddressAndMailingAddressAreIdentical": "true"
    }
  ]
}